Skip to main content
GET
/
v2
/
integrations
/
connections
/
resource-operations
List Resource Operations
curl --request GET \
  --url https://api.catenatelematics.com/v2/integrations/connections/resource-operations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_name": "ada",
      "resource": "asset",
      "operation_type": "create",
      "status": "pending",
      "payload": {},
      "fleet_ref": "<string>",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_id": "<string>",
      "logs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "resource_operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "success",
          "error_type": "auth",
          "error_details": "<string>"
        }
      ]
    }
  ],
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

resource
enum<string> | null

Filter resource operations by resource type (e.g., vehicle, user, fuel_charge). Enum for resources

Available options:
asset,
driver_association,
driver_vehicle_association,
driver_event_log,
driver_safety_event,
dvir_log,
dvir_log_defect,
engine_log,
engine_status,
fuel_transaction,
hos_availability,
hos_daily_snapshot,
hos_event,
hos_event_annotation,
hos_event_attachment,
hos_violation,
ifta_summary,
location_segment,
message,
user,
vehicle,
vehicle_location,
vehicle_sensor,
vehicle_region_segment,
trailer,
trailer_association,
trailer_vehicle_association,
trailer_location,
trailer_status,
workflow
connection_id
string<uuid> | null

Filter resource operations by connection ID.

source_name
enum<string> | null

Filter resource operations by source name. Enum for TSPs

Available options:
ada,
ai_eld,
air_eld,
alfa_eld,
alpha_eld,
als,
anytrek_pro,
anytrek_classic,
apex_eld,
apollo,
apollocloud,
ascend,
att,
awaregps,
azuga,
bigroad,
bluehorse_eld,
blueinktech,
bouncie,
budgetgps,
catena_simulator,
captain_eld,
carrier_lynx,
club_eld,
counting_trucks_eld,
cyntrx,
digital_eld,
dragon_eld,
drive_hos,
driver_tech,
dsg_elogs,
dynamic_eld,
eighteighteight_eld,
eld_88,
eld_books,
eld_mandate,
eld_mandate_prime,
eroad,
eva_eld,
evo_eld,
expressway_eld,
extreme_eld,
ezlogz,
ez_lynk,
factor_eld,
firstgate,
fleetcomplete,
fleetcompletehub,
fleethunt,
fleetsharp,
fleetup,
fm,
forwardthinking,
forza_eld,
geotab,
gpsinsight,
gpstab,
gpstrackit,
grand_eld,
greenlight,
groundhog,
hcss,
hos247,
hutch,
intellishift,
ironman_eld,
isaac,
jjkeller,
kinexaiot,
knight_eld,
konexial,
lioneight,
linxup,
loop_eld,
lucid_eld,
luna_eld,
lytx,
lytxv3,
mapon,
matrack,
maven,
mdm_eld,
mobilefleet,
moonlight_eld,
motion_eld,
motive,
my_drivebook,
my_logs_eld,
nero,
netradyne,
new_eld_world,
nextgen_eld,
nextraq,
omnitracs,
onestep,
ontime_eld,
optima,
orbcomm,
orient_eld,
panda_eld,
payd,
peak_eld,
peoplenet,
phillips_connect,
phoenix,
pop_eld,
prologs,
proride_eld,
qualitylogs_eld,
randmcnally,
rastrac,
raven,
redfox,
regulog_eld,
ridehub,
roadeazy,
rock_eld,
rollingtrans,
routemate,
royal_eld,
safelane,
samsara,
selectivedrive,
simba_eld,
skybitz,
smart_elds,
sparkle_eld,
spireon,
sun_eld,
surfsight,
swift,
switchboard,
synergy_eld,
teletracnavman,
teletracnavman_director,
telogis,
tenna,
thermo_king,
think,
tive,
topcompliance_eld,
traccar,
trackease_eld,
trackpro,
traclog,
transflo,
trimble,
truckford,
truckspy,
truckx,
trueroad_eld,
tt,
txt_eld,
us_fast_eld,
verizon_connect,
vista_eld,
vistracks,
vlog_eld,
vulcansols_eld,
wialon,
webfleet,
xplore_eld,
zigzag_eld,
zms_eld,
zonar,
zubie
fleet_refs
string[] | null

Filter resource operations by one or more fleet references. Maximum: 100 values. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
operation
enum<string> | null

Filter resource operations by operation type (e.g., create, update). Enum for the type of operation to perform on a resource.

Available options:
create,
update
source_id
string | null

Filter resource operations by source ID in the TSP. Requires the resource parameter.

from_datetime
string<date-time>

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-28T16:09:20.436751Z"

to_datetime
string<date-time>

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-29T16:09:20.436905Z"

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
ResourceOperationRead · object[]
required
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page